Centos 4.6: Actualizar php4 a php5 con yum

Los repositorios por defecto de la distribución CentOS no permiten actualizar a php 5 ya que para dicha versión lo máximo (creo recordar) que es php 4.3, lo mismo sucede con, por ejemplo, las versiones de MySQL.

Existe una solución alternativa a tener que instalar los paquetes vía rpm o compilando manualmente y es utilizando temporalmente un repositorio extra que sí disponga de estas actualizaciones. Digo temporalmente porque quizás no nos interese utilizar esos repositorios para todos los paquetes instalados en el sistema (fallos de dependencias, no querer actualizar en updates generales, etc), para ello podemos utilizarlos únicamente para los paquetes que deseamos instalar con el parámetro  “–enablerepo=repositorio“.

Volviendo al tema de php5, si quisieramos actualizarlo podríamos hacerlo del siguiente modo:

yum --enablerepo=centosplus search php*

Esto buscaría los paquetes de php disponibles en todos los repositorios incluido centosplus, que es el repositorio que permite estas actualizaciones. Si vemos correcto los paquetes a actualizar, lo hacemos:

yum --enablerepo=centosplus install php*

Como siempre, atentos a las dependencias que se instalan/actualizan y confirmad que no generen fallos con lo que tengáis instalado actualmente.

En resumen, recordad que podéis utilizar en un momento determinado cualquier respositorio con el parámetro “–enablerepo=repositorio” y que CentOSplus contiene muchísimos y útiles paquetes para actualizar en centOS 4.6 sin tener que pasar a CentOS 5

Deja un comentario

Tu dirección de correo electrónico no será publicada. Los campos obligatorios están marcados con *